ChangeSet 1.1254.4.26, 2003/06/04 12:32:15-07:00, greg@kroah.com

[PATCH] PCI: remove usage of pci_for_each_dev() in drivers/ide/pci/pdc202xx_new.c


 drivers/ide/pci/pdc202xx_new.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)


diff -Nru a/drivers/ide/pci/pdc202xx_new.c b/drivers/ide/pci/pdc202xx_new.c
--- a/drivers/ide/pci/pdc202xx_new.c	Wed Jun  4 18:10:17 2003
+++ b/drivers/ide/pci/pdc202xx_new.c	Wed Jun  4 18:10:17 2003
@@ -579,7 +579,7 @@
 
 static void __init init_setup_pdc20270 (struct pci_dev *dev, ide_pci_device_t *d)
 {
-	struct pci_dev *findev;
+	struct pci_dev *findev = NULL;
 
 	if ((dev->bus->self &&
 	     dev->bus->self->vendor == PCI_VENDOR_ID_DEC) &&
@@ -588,7 +588,7 @@
 			return;
 		}
 		d->extra = 0;
-		pci_for_each_dev(findev) {
+		while ((findev = pci_find_device(PCI_ANY_ID, PCI_ANY_ID, findev)) != NULL) {
 			if ((findev->vendor == dev->vendor) &&
 			    (findev->device == dev->device) &&
 			    (PCI_SLOT(findev->devfn) & 2)) {
